PublicApiCreateGroup
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"permissions": []
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', permissions: []})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Team
PublicApiCreateGroup
POST /api/v1/organizations//groups
POST
/
api
/
v1
/
organizations
/
{orgId}
/
groups
PublicApiCreateGroup
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"permissions": []
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', permissions: []})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Body
application/json
Minimum array length:
1Available options:
campaign:create, campaign:edit, campaign:delete, campaign:view, campaign:launch, campaign:pause, contact:create, contact:edit, contact:delete, contact:view, contact:import, contact_list:create, contact_list:edit, contact_list:delete, contact_list:view, connector:connect, connector:disconnect, connector:view, inbox:view, inbox:reply, inbox:approve_draft, inbox:reject_draft, kb:create, kb:edit, kb:delete, kb:view, offering:create, offering:edit, offering:delete, offering:view, tracking_domain:create, tracking_domain:delete, tracking_domain:view, domain_auth:view, domain_auth:create, deal:create, deal:edit, deal:delete, deal:view, deal:move_stage, deal:set_status, pipeline:create, pipeline:edit, pipeline:delete, pipeline:view, company:create, company:edit, company:delete, company:view, activity:create, activity:view, scheduled_activity:create, scheduled_activity:edit, scheduled_activity:delete, scheduled_activity:view, suppression:view, blocked_domain:view, blocked_domain:manage, direct_email:send, direct_email:approve, changelog:view, changelog:engage, org:settings, org:billing, org:transfer, org:delete, org:view, member:invite, member:remove, member:suspend, member:view, group:create, group:edit, group:delete, group:assign, domain_allowlist:view, domain_allowlist:manage, workspace:create, workspace:view, workspace:delete, workspace:settings, api_key:view, api_key:create, api_key:revoke Response
Successful response
The response is of type object.